Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Dateieigenschaften einer Zeichnung per VBA auswerten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Dateieigenschaften einer Zeichnung per VBA auswerten (137 mal gelesen)
cncustomz
Mitglied


Sehen Sie sich das Profil von cncustomz an!   Senden Sie eine Private Message an cncustomz  Schreiben Sie einen Gästebucheintrag für cncustomz

Beiträge: 7
Registriert: 12.11.2014

Solidworks 2017 SP5

erstellt am: 12. Feb. 2020 10:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Folgende Aufgabe:
Unser PDM System übergibt einen Zeichnungsstatus in Textform in die Dateieigenschaften der Zeichnung.
Dieser Text soll per VBA/Makro ausgelesen und mittels einer IF Prüfung auf einen bestimmten Inhalt überprüft werden. Als Ergebnis wird eine neue Eigenschaft samt neuem Wert geschrieben.

Mein Problem das ich gerade habe ist, dass ich mit der Get2 Methode nicht an die Werte komme. Gibt es für Zeichnungen eine eigene Methode?

Code:

Dim swApp As Object
Dim swModel    As SldWorks.ModelDoc2
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Dim Prop As Integer
Dim FieldName As String
Dim UseCached As Boolean
Dim ValOut As String
Dim ResolvedValOut As String
Dim WasResolved As Boolean


Sub main()

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc

   
    FieldName = "Workflow"
    Prop = swModel.Get2(FieldName, ValOut, ResolvedValOut)
    If ValOut = "Frei" Then
        swModel.DeleteCustomInfo2 "", "Stempel"
        swModel.AddCustomInfo3 "", "Stempel", swCustomInfoText, "Freistempelung"
   
    End If

End Sub


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Winni-two
Mitglied
Ing. Maschb.


Sehen Sie sich das Profil von Winni-two an!   Senden Sie eine Private Message an Winni-two  Schreiben Sie einen Gästebucheintrag für Winni-two

Beiträge: 135
Registriert: 12.03.2010

SW 2018 SP5
Intel Xenon W2135 @3.7GHz
Win 10 64 bit
Graka: Nvidia Quadro P4000
32 GB Ram

erstellt am: 12. Feb. 2020 10:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cncustomz 10 Unities + Antwort hilfreich

Hallo cncustomz,

Versuch mal:

Dim swApp As Object
Dim swModel    As SldWorks.ModelDoc2
Dim boolstatus As Boolean
Dim FieldName As String
Dim ResolvedValOut As String
Dim ValOut As String
Dim swModelDocExt As ModelDocExtension
Dim swCustProp As CustomPropertyManager

Sub main()

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swModelDocExt = swModel.Extension
Set swCustProp = swModelDocExt.CustomPropertyManager("")


 
    FieldName = "Workflow"
    boolstatus = swCustProp.Get4(FieldName, False, ValOut, ResolvedValOut)
    If ValOut = "Frei" Then
 
        boolstatus = swCustProp.Add3("Stempel", swCustomInfoText, "Freistempelung", swCustomPropertyDeleteAndAdd)
 
    End If

End Sub


Gruss Winni

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cncustomz
Mitglied


Sehen Sie sich das Profil von cncustomz an!   Senden Sie eine Private Message an cncustomz  Schreiben Sie einen Gästebucheintrag für cncustomz

Beiträge: 7
Registriert: 12.11.2014

Solidworks 2017 SP5

erstellt am: 12. Feb. 2020 11:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Perfekt. So funktioniert es genau wie ich es wollte.

Vielen Dank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz